package company_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type CompanyLicenseOcrRequest struct {
	// <ext>core:true</ext> 【营业执照图片】营业执照图片 【作用】 上传营业执照图片进行OCR识别 【传参】 1、可支持的jpg/jpeg/png文件格式，支持文件大小4MB以内 2、营业执照图片（license）与营业执照图片路径（url）至少传入一个，均传入时优先营业执照图片。
	License *os.File `json:"license,omitempty"`
	// <ext>core:true</ext> 【营业执照图片路径】 营业执照图片路径 【作用】 填写营业执照图片服务器路径/网络路径，通过服务器路径或网络路径获取营业执照进行OCR识别 【传参】 1、营业执照图片（license）与营业执照图片路径（url）至少传入一个，均传入时优先营业执照图片。
	Url string `json:"url,omitempty"`
}

func (obj CompanyLicenseOcrRequest) GetUrl() string {
	return "/company/license/ocr"
}

func (obj CompanyLicenseOcrRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("url", obj.Url)
	parameter.AddFiles("license", obj.License)
	return parameter
}
